Bug 891168 - RFE: add finer-grained control of revisions to add_revision command
RFE: add finer-grained control of revisions to add_revision command
Status: CLOSED NOTABUG
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-02 01:26 EST by Ruediger Landmann
Modified: 2013-07-04 01:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 01:26:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2013-01-02 01:26:22 EST
Description of problem:
The add_revision command only increments the release number; it would be useful to be able to specify that a revision should increment the major or minor revision number instead. The revnumber switch allows the writer to override this behaviour, but requires the writer to investigate the Revision History to determine what the next value should be.

Most documentation changes are best reflected by an increase in minor revision; this should be the default.

Version-Release number of selected component (if applicable):
3.0

How reproducible:
100%

Steps to Reproduce:
1. run add_revision on a book in the source language
2. inspect the Revision_History.xml file in the source language
  
Actual results:
The revision number takes the form x.y-z. The value of z is incremented by add_revision unless overridden by the --revnumber option

Expected results:
Writer should be able to specify next x, y, or z without reviewing the file contents. Increments should default to y.
Comment 1 Jeff Fearn 2013-03-07 22:18:51 EST
Doesn't --revnumber cover this?

Note You need to log in before you can comment on or make changes to this bug.